Mod_lsapi выпущен на производство

Мы рады сообщить, что mod_lsapi после длительных препаратов перешел на производство. Стабильная версия mod_lsapi была увеличена до 1.0-1.

Что такое mod_lsapi?

mod_lsapi - это модуль Apache на основе API LiteSpeed ​​для PHP, Ruby и Python. Это замена для SuPHP, FCGID, RUID2 и ITK, имеет низкий объем памяти и понимает директивы PHP из файлов .htaccess. Он также поддерживает ускорители PHP. Он полностью совместим с PHP Selector, который позволяет конечным пользователям выбирать конкретную версию PHP, в которой они нуждаются. Он имеет suPHP как механизм, использующий пару версий PHP без PHP Selector и многие другие полезные вещи.

Более подробную информацию о «Как это работает» можно найти в нашей документации по ссылке:

http://docs.cloudlinux.com/index.html?apache_mod_lsapi.html

Также вы можете зарегистрироваться на веб-семинар "Перегружая ваши PHP-страницы с помощью mod_lsapi в CloudLinux OS"В мае 05, 2016 11: 00 AM EDT по ссылке:

https://attendee.gotowebinar.com/register/626094180772835332

где наш эксперт OSL CloudLinux Богдан Шишка перейдет к этой новой готовой к производству функции и объяснит, как она работает и почему она настолько сильна.

Как установить / обновить модуль?

Чтобы обновить ранее установленный модуль, выполните:

cPanel & RPM Основано:

$ yum update liblsapi liblsapi-devel

$ yum update mod_lsapi

$ service httpd restart

DirectAdmin:

$ yum update liblsapi liblsapi-devel

$ cd /usr/local/directadmin/custombuild

$ ./build update

$ ./build mod_lsapi

Для установки следуйте инструкциям:

http://docs.cloudlinux.com/index.html?installation_mod_lsapi.html

ЗАМЕТКА. Если вы обновляете с древних версий (например, 0.1-100) на сервере cPanel, убедитесь, что AddHandler и AddHandler раскомментированы в файле lsapi.con или просто запустите enable-global:

switch_mod_lsapi --enable-global